This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 573710

Summary: Shift-left-click doesn't select text properly
Product: [Fedora] Fedora Reporter: Sean Sheedy <seansh>
Component: gnome-terminalAssignee: Behdad Esfahbod <behdad>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: behdad, bennet, ofourdan
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 650884 (view as bug list) Environment:
Last Closed: 2011-06-27 11:10:31 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Sean Sheedy 2010-03-15 11:59:36 EDT
Description of problem:
Text which has been selected using shift-left-click is highlighted, but isn't entered into the cut-paste buffer.

Version-Release number of selected component (if applicable):
2.28.2-1

How reproducible:
Always

Steps to Reproduce:
1. Start with multiple words of text on the screen, e.g., "foo bar".
2. Double left-click on "foo"; "foo" is now highlighted.
3. Press the shift key and and single left-click on "bar"; the entire string "foo bar" is now highlighted.
4. Select "Copy" from the "Edit" menu.
5. At this point, doing a "Paste" will only produce the single word "foo", not "foo bar".
  
Actual results:
Only the first selected/highlighted word is copied.

Expected results:
All selected/highlighted text should be copied.

Additional info:
Comment 1 bennet 2010-06-06 14:57:17 EDT
On a freshly installed FC 13 machine, i386, I uninstalled gnome-terminal and installed the version from FC 10, and this bug is still there.  That might suggest it is not in the gnome-terminal code itself, but in some shared code...?

Tried this with:

gnome-terminal.i386      2.24.3-1.fc10

and

gnome-terminal.i686      2.30.1-1.fc13

The extend selection function does work in xterm, and it works fine in firefox (tested using the location/address box), so if it is a shared library, it would seem not to be one shared with either of those two for this function; it also works with gedit in a document.
Comment 2 Bug Zapper 2010-11-03 15:37:08 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 bennet 2010-11-03 15:56:56 EDT
Hi, the version number of Fedora should be changed to Fedora 13, as it is reproducible on that version, as well.
Comment 4 Sean Sheedy 2010-11-03 20:53:16 EDT
Still reproduces in the Fedora 13.
Comment 5 Olivier Fourdan 2010-11-08 04:17:11 EST
I believe this is a bug in VTE rather than in gnome-terminal. Looks like this git commit:

    http://git.gnome.org/browse/vte/commit/?id=5dc9b3ce32070f1a7040b8ed24d9d463ad6a67b0

To fix the corresponding bug upstream:

    https://bugzilla.gnome.org/show_bug.cgi?id=614658

The bug seems to be fixed in Fedora 14.
Comment 6 Bug Zapper 2011-06-02 12:09:52 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-27 11:10:31 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.